/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
/***************************************************************************
 *            dv1394.h
 *
 *  Tue Apr 19 12:10:34 CEST 2005
 *  Copyright  2005 Bent Bisballe
 *  deva@aasimon.org
 ****************************************************************************/

/*
 *    This file is part of MIaV.
 *
 *    MIaV is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    MIaV is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with MIaV; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 */
#include "config.h"
#ifndef __MIAV_DV1394_H__
#define __MIAV_DV1394_H__

#ifdef USE_GUI

#include "frame_stream.h"
#include <libraw1394/raw1394.h>

#include "info.h"

class dv1394 : public frame_stream {
public:
  dv1394(Info* info, int port = 0, int channel = 63); // 63 is default channel... sucks.
  ~dv1394();

  bool connect();

  unsigned char *readFrame();

private:
  raw1394handle_t handle;
  Info *info;
  int port;
  int channel;
};

#endif/*__MIAV_DV1394_H__*/
#endif/*USE_GUI*/
